Index: /main/trunk/release-kits/shared/core/language-strings/LanguagePack_ja.properties
===================================================================
--- /main/trunk/release-kits/shared/core/language-strings/LanguagePack_ja.properties	(revision 30039)
+++ /main/trunk/release-kits/shared/core/language-strings/LanguagePack_ja.properties	(revision 30039)
@@ -0,0 +1,133 @@
+### Language page ###
+# (Note: This installer has not been fully translated into all these languages yet)
+
+
+### Intro Page ###
+
+## License page ###
+
+
+### Destination page ###
+
+
+### InstallShield install detected page ###
+
+
+### Components Page ###
+# (Note: in the html here, we must use '<br>' for breaklines.
+# '<br/>' and other variations are not recognised.)
+
+Looking_For_Previous_Installation.displayText:ä»¥åã®ã€ã³ã¹ããŒã«ããããœãããæ€çŽ¢ãã  # Updated 8-Jul-2015 by gaku35812341
+Looking_For_Previous_Installation.explanatoryText:ããäžæžãã®ããã®ã€ã³ã¹ããŒã«ãªããé¢sããŒã«ãåæ»ã«ããããã«æ¢å­ã®ã€ã³ã¹ããŒã«ããããœããã®ãã­ããã£ãã­ãŒãããã  # Updated 8-Jul-2015 by gaku35812341
+
+### EXT ###
+Installing_AMP.displayText:Apache HTTPD (2.2.15), MySQL (5.1.47) ãšPHP (5.3.2)  # Updated 8-Jul-2015 by gaku35812341
+Installing_AMP.explanatoryText:<html>ãã®ã³ã³ããŒãã³ãã¯Apache HTTPD ãŠãšããµãŒããŒãã€ã³ã¹ããŒã«ããŠãMySQLïŒããŒã¿ããŒã¹ã·ã¹ãã ïŒãšPHPïŒãµãŒããŒåŽã®ã³ãŒãåã®ããã®ã¹ã¯ãªããèšèªïŒã«ãã£ãŠå®æããã  # Updated 8-Jul-2015 by gaku35812341
+### /EXT ###
+
+Installing_Core_System.displayText:ã³ã¢ãªã·ã¹ãã   # Updated 8-Jul-2015 by gaku35812341
+Installing_Core_System.explanatoryText:ãããGreenstone@version.major@ã®ã³ã¢ã·ã¹ãã ã§ããã³ã³ãïœ°ãã³ããå¿
+èŠã§ãã  # Updated 8-Jul-2015 by gaku35812341
+
+Installing_Source_Code_Core.displayText:ãœãŒã¹ã³ãŒãã®ã³ã¢  # Updated 8-Jul-2015 by gaku35812341
+Installing_Source_Code_Core.explanatoryText:ããã¯ãœãŒã¹ã®ãªãªãŒã¹ã®Greenstone@version.major@ ã®ã³ã¢ã·ã¹ãã ã§ãã
+
+Installing_Source_Code.displayText:ãœãŒã¹ã³ãŒã  # Updated 8-Jul-2015 by gaku35812341
+Installing_Source_Code.explanatoryText:Greenstone@version.major@ ãèªåã§ç·šéããŠãGreenstone@version.major@ ã®ã³ããŒãå€æŽããããã©ã®ããã«åäœããããç¢ºèªããããã«ããœãŒã¹ã³ãŒããã€ã³ã¹ããŒã«ããã  # Updated 8-Jul-2015 by gaku35812341
+
+Installing_ImageMagick.displayText:ImageMagick (@bundled.version.imagemagick@)  # Updated 8-Jul-2015 by gaku35812341
+Installing_ImageMagick.explanatoryText:ã°ãªãŒã³ã¹ããŒã³ã¯ç»ååŠçã«ImageMagickãäœ¿çšãããImageMagickã®ãã³ãã«ãããããŒãžã§ã³ã¯JPEGïŒïŒïŒïŒã®ç»åãã©ãŒãããããµããŒãããŠãããImageMagickãã€ã³ã¹ããŒã«ãã¿ããã°ãªãŒã³ã¹ããŒã³ã®ã³ã¬ã¯ã·ã§ã³ã«ImageMagickã®ç»åãæ··åšãããããªããªããImageMagickãã€ã³ã¹ããŒã«ããå¿
+èŠã¯ãªãã  # Updated 8-Jul-2015 by gaku35812341
+
+Installing_Ghostscript.displayText:ãŽãŒã¹ãã¹ã¯ãªãã (@bundled.version.ghostscript@)  # Updated 8-Jul-2015 by gaku35812341
+Installing_Ghostscript.explanatoryText:ã°ãªãŒã³ã¹ããŒã³ã§ã¯ãŽãŒã¹ãã¹ã¯ãªãããPDFãšPostScriptãã¡ã€ã«ã®åŠçã«äœ¿çšããããŽãŒã¹ãã¹ã¯ãªãããã€ã³ã¹ããŒã«ãã¿ããã°ãªãŒïŒã³ã¹ããŒã³ã®ã³ã¬ã¯ã·ã§ã³ã§ãã¹ãã¹ã¯ãªãããã¡ã€ã«ã®PDFãæ··åšãããããªããã°ããŽãŒã¹ãã¹ã¯ãªãããã€ã³ã¹ããŒã«ããå¿
+èŠã¯ãªãã  # Updated 8-Jul-2015 by gaku35812341
+
+Installing_Apache_Web_Server.displayText:Apache ãŠãšããµãŒããŒ  # Updated 8-Jul-2015 by gaku35812341
+Installing_Apache_Web_Server.explanatoryText:ã°ãªãŒã³ã¹ããŒã³ã®ããžã¿ã«å³æžé€šã®ã³ã³ãã³ããæäŸããã«ã¯ãŠãšããµãŒããŒãå¿
+èŠã§ãããªãŒãã³ãœãŒã¹ã®
+
+Installing_Start_Menu_Shortcuts.displayText:ã¹ã¿ãŒãã¡ãã¥ãŒã·ã§ãŒãã«ãã  # Updated 8-Jul-2015 by gaku35812341
+Installing_Start_Menu_Shortcuts.explanatoryText:ã¹ã¿ãŒãã¡ãã¥ãŒã«Greenstone@version.major@ system ãžã®ã·ã§ãŒãã«ãããäœæãã  # Updated 8-Jul-2015 by gaku35812341
+
+Installing_Tomcat.displayText:Apache Tomcat (@bundled.version.tomcat@)  # Updated 8-Jul-2015 by gaku35812341
+Installing_Tomcat.explanatoryText:ããžã¿ã«å³æžé€šããŠãšãäžã«å±éããããã«ã°ãªãŒã³ã¹ããŒã³ïŒã§ã¯Apache Tomcat ãŠãšããµãŒããå¿
+èŠã«ãªããTomcatãå°å
+¥ãã¿ãªããå©çšã§ããã®ã§ããã®ã³ã³ããŒãã³ããã€ã³ã¹ããŒã«ããå¿
+èŠã¯ãªãã
+
+Installing_Ant.displayText:Apache Ant (@bundled.version.ant@)  # Updated 8-Jul-2015 by gaku35812341
+Installing_Ant.explanatoryText:TomcatãŠãšããµãŒããŒãéå§ã»çµäºãããœãŒã¹ã³ãŒããã³ã³ãã€ã«ãçŽããã¡ã³ããã³ã¹äœæ¥­ãå®è¡ããã«ã¯Apache Antãå¿
+èŠã§ããAntãã€ã³ã¹ããŒã«æžã¿ã§ããã°ããã®ã³ã³ããŒãã³ããã€ã³ã¹ããŒã«ããªãã§ãå€§äžå€«ã§ãã  # Updated 8-Jul-2015 by gaku35812341
+
+Installing_Documented_Examples.displayText:èšé²ãããäœ¿çšäŸã®ã³ã¬ã¯ã·ã§ã³  # Updated 8-Jul-2015 by gaku35812341
+Installing_Documented_Examples.explanatoryText:äœ¿çšäŸã®ã³ã¬ã¯ã·ã§ã³ã®ã»ãããaboutããŒãžã§ãã©ã®ããã«æ§ç¯ãããããè¡šç€ºããŠããã
+
+### Admin password page
+
+
+## GS2
+admin-expl.displayText:ã°ãªãŒã³ã¹ããŒã³ã®ã€ã³ã¿ãŒãã§ãŒã¹ã®ç®¡çè
+ããŒãžã§ã¯ãŠãŒã¶ãŒããŒã¿ããŒã¹ã®ç®¡çãã§ããŸãããªã¢ãŒãã®ã°ãªãŒã³ã¹ããŒã³ã®ã»ããã¢ãããå¿
+èŠã§ããã­ã°ãã¡ã€ã«ãèŠãã'main.cfg'ãã¡ã€ã«ã®ç·šéãç°¡åã«ã§ããŸãã  # Updated 8-Jul-2015 by gaku35812341
+admin-expl-2.displayText:ã°ãªãŒã³ã¹ããŒã³ã®ç®¡çè
+ã®ããŒãžãå©çšå¯èœã«ããŸããïŒæ¬¡ã®ããŒãžã§ãã¹ã¯ãŒããèŠæ±ãããŸãïŒã  # Updated 8-Jul-2015 by gaku35812341
+admin-expl-3.displayText:ç®¡çè
+ã®ããŒãžãå©çšå¯èœã«ãããšãã€ã³ã¿ãŒãããã§ã¢ã¯ã»ã¹ãå¯èœã«ãªããŸããä¿è­·ã®ããã«å®å
+šãªãã¹ã¯ãŒããéžæããŠãã ãããæ³šïŒç®¡çè
+ã®ããŒãžã¯etc/main.cfg. ã»ããã¹ããŒã¿ã¹ãå©çšå¯èœ/äžèœã«ç·šéããããšã§ãå©çšå¯èœ/äžèœãåŸã§åãæ¿ããããŸããç®¡çè
+çšãã¹ã¯ãŒãä»ãã®ç®¡çè
+ã¢ã«ãŠã³ããäœæãããŸãã
+
+## GS3
+admin3-expl.displayText:ã°ãªãŒã³ã¹ããŒã³ã®ã€ã³ã¿ãŒãã§ãŒã¹ã®ç®¡çè
+ããŒãžã§ãŠãŒã¶ãŒããŒã¿ããŒã¹ã®ç®¡çãšãã©ãŒãããã®æšèšãããžã¥ã¢ã«ã«ç·šéããããã®Greenbugãäœ¿çšã§ãããã­ã¥ã¡ã³ãã®æ§é ãšã³ã³ãã³ãã®ç·šéçšã®ãã©ãŠã¶ãŒå
+ç·šéã¢ãŒããäœ¿çšã§ããŸãã  # Updated 8-Jul-2015 by gaku35812341
+admin3-expl-2.displayText:ã°ãªãŒã³ã¹ããŒã³ã®ç®¡çè
+ããŒãžçšã®ãã¹ã¯ãŒããäœæããŸããïŒæ¬¡ç»é¢ã§ãã¹ã¯ãŒããå°ã­ãããŸããïŒ  # Updated 8-Jul-2015 by gaku35812341
+admin3-expl-3.displayText:ãããªããã°ç®¡çè
+ãã¹ã¯ãŒããä»äžãããã€ãã·ã¢ã«ã®ç®¡çè
+ã¢ã«ãŠã³ããäœæãããŸããå³æžé€šã®ããŒã ããŒãžããããã«æããŠãã ããã  # Updated 8-Jul-2015 by gaku35812341
+
+admin-password-expl.displayText:äœæãããã¹ã¯ãŒãä»ãã®ç®¡çè
+ãšãããŠãŒã¶ãŒåã®ãŠãŒã¶ãŒãäœæãããŸããç®¡çè
+ãã¹ã¯ãŒããå
+¥åããŠãã ããããã¹ã¯ãŒãã¯ïŒããïŒïŒæå­ã®éã§ãªããã°ãªããŸããã  # Updated 8-Jul-2015 by gaku35812341
+admin.password.displayText:ç®¡çè
+ãã¹ã¯ãŒã  # Updated 8-Jul-2015 by gaku35812341
+
+
+
+
+### Tomcat config page
+
+### Progress page
+
+### Uninstaller Strings
+
+
+
+
+
+### Ant-Installer Core strings
+
+
+#Default loading
+
+running:
+
+
+
+Finished:å®äº  # Updated 8-Jul-2015 by gaku35812341
+Failed:å€±æããŸããããšã©ãŒã¡ãã»ãŒãžããèŠ§äžããã  # Updated 8-Jul-2015 by gaku35812341
+
+
+#text install strings
+_required_:å¿
+èŠãª  # Updated 8-Jul-2015 by gaku35812341
+_default_:ããã©ã«ã  # Updated 8-Jul-2015 by gaku35812341
+#The value of 'affirmativeChars' comes from the first letters of "True" and "Yes"
+#The value of 'negativeChars' comes from the first letters of "False" and "No"
+#The value of backChar is the first letter "Back"
+#The value of nextChar is the first letter "Next"
+#In the next two properties, 'N' should be replaced the value of the 'nextChar' property