Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_es.properties	(revision 30017)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_es.properties	(revision 30040)
@@ -6,9 +6,34 @@
 help.findinginformationtitle:<h2>CÃ³mo encontrar informaciÃ³n en la colecciÃ³n {0}</h2>
 help.findinginformation:Existen {0} maneras de encontrar informaciÃ³n en esta colecciÃ³n:
+help.searchdesc:buscar por palabras que aparezcan en el texto  al seleccionar el botÃ³n Buscar
 help.browsedesc:ver documentos por <i>{0}</i> al seleccionar el botÃ³n <i>{0}</i>
 
+help.readingdocstitle:<h2>CÃ³mo leer documentos</h2>
+help.readingdocs:<p>Usted notarÃ¡ que estÃ¡ accediendo a un libro o un documento ya sea por su tÃ­tulo, \
+o por la imagen de portada que aparecerÃ¡ en la parte superior izquierda. En alguna colecciones, aparecerÃ¡ una tabla de contenidos, \
+mientras que en otras (por ej. cuando se usa la opciÃ³n de paginaciÃ³n) se muestra el nÃºmero de pÃ¡gina, junto a un cuadro de texto que permite seleccionar una nueva pÃ¡gina y saltar hacia ella. \
+En la tabla de contenidos, el encabezado de la secciÃ³n actual estarÃ¡ en negrita, \
+y la tabla es expandible -- seleccione las carpetas para abrirlas o cerrarlas; seleccione el libro abierto en la parte superior para cerrarlo.</p>\
+<p>Por debajo, estarÃ¡ el texto de la secciÃ³n actual. </p>\
+<p>Debajo del tÃ­tulo o de la imagen de portada hay algunos botones. Seleccione <i>EXPANDIR DOCUMENTO</i> para expandir el texto completo de la secciÃ³n actual .\
+ Si el documento es largo, esto puede demorar un poco.! \
+Seleccione <i>EXPANDIR CONTENIDOS</i> para expandir la tabla de contenidos entera de manera de poder ver todos los tÃ­tulos de capÃ­tulos y subsecciones. \
+CSeleccione <i>SEPARAR PAGINA</i> para abrir una nueva ventana del navegador con el documento actual. \
+(Esto es Ãºtil si se quiere comparar documentos o leer dos a la vez.)</p>
 
 help.openbookshelf:Abrir este estante
+help.sectionarrows:Ir a la secciÃ³n previa/siguiente
 
+help.searchingtitle:<h2>CÃ³mo buscar por ciertas palabras</h2>
+help.searching:<p>Desde la pÃ¡gina de bÃºsqueda, se pueden hacer consultas siguiendo estos simples pasos:</p>\
+<ol><li>Indique si quiere buscar por todas o por algunas de las palabras</li>\
+<li>Escriba las palabras a buscar</li>\
+<li>Seleccione el botÃ³n <i>"Comenzar bÃºsqueda"</i></li>\
+</ol>\
+<p>Cuando hace una bÃºsqueda, se mostrarÃ¡n los tÃ­tulos de veinte documentos encontrados. \
+Hay un botÃ³n al final que permite acceder al siguiente grupo de documentos. y tambiÃ©n a los siguientes y los previos. \
+ Seleccione el tÃ­tulo de cualquier documento, o el pequeÃ±o botÃ³n a su lado para verlo. </p>\
+<p>El nÃºmero mÃ¡ximo de documentos a buscar es de 50, pero el mismo puede incrementarse \
+seleccionando el botÃ³n <i>PREFERENCIAS</i> en el tope de la pÃ¡gina.</p>
 
 help.querytermstitle:<h3>TÃ©rminos de bÃºsqueda</h3>
@@ -22,4 +47,20 @@
 <ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul>
 
+help.querytypetitle:<h3>Tipos de bÃºsquedas</h3>
+help.querytype:<p>Existen dos clases diferentes de bÃºsquedas. </p>\
+<ul>\
+<li>BÃºsquedas por <b>todas</b> las palabras.  UbicarÃ¡ documentos (o capÃ­tulos o tÃ­tulos) \
+que contengan todas las palabras mencionadas. Se mostrarÃ¡n los documentos que cumplan con la consulta, en orden de indexaciÃ³n. </li>\
+<li>BÃºsquedas por <b>algunas</b> de las palabras.  Simplemente mencione algunos tÃ©rminos que puedan aparecer en \
+los documentos que estÃ¡ buscando.  Los documentos se mostrarÃ¡n en orden de acuerdo a su nivel de coincidencia con la consulta efectuada.. \
+Al determinar el grado de coincidencia, </li>\
+<ul> \
+<li> cuantas mÃ¡s ocurrencias de los tÃ©rminos de bÃºsqueda contenga el documento, mayor serÃ¡ la coincidencia; </li>\
+<li> los tÃ©rminos con menos ocurrencias en la colecciÃ³n entera son mÃ¡s importantes que los mÃ¡s comunes; </li>\
+<li> los documentos cortos tienen mayor ranking que los largos. </li>\
+</ul> \
+</ul> \
+<p>Utilice tantos tÃ©rminos como desee -- una oraciÃ³n entera o incluso un pÃ¡rrafo entero. Si utiliza solo una palabra \
+los documentos se ordenarÃ¡n por su frecuencia de ocurrencia.</p>
 
 help.queryscopetitle:<h3>Alcance de las bÃºsquedas</h3>
@@ -38,4 +79,11 @@
 help.presentationpreferences:<p>Dependiendo de cada colecciÃ³n en particular, \ existen varias opciones que pueden configurarse para control la presentaciÃ³n visual. </p> \ <p>Las colecciones de pÃ¡ginas web permiten suprimir la barra de navegaciÃ³n de Greenstone en la parte superior de cada pÃ¡gina de documento, \ de manera que luego de hacer una bÃºsqueda se visualiza la pÃ¡gina web exacta sin ningÃºn encabezado de Greenstone. \ Para hacer otra bÃºsqueda se deberÃ¡ usar el botÃ³n "Retroceder" del navegador. Estas colecciones tambiÃ©n permiten suprimir \ el mensaje de aviso de que se estÃ¡ accediendo a un enlace externo. TambiÃ©n, en algunas colecciones web se puede controlar si los links en la pÃ¡gina de resultados nos llevan a la pÃ¡gina original en vez de a la copia de la pÃ¡gina administrada por Greenstone. </p>
 
+help.searchpreferencestitle:<h2>Preferencias de bÃºsqueda</h2>
+help.searchpreferences1:<p>Puede cambiar al tipo de bÃºsqueda "avanzada" el cual permite combinar tÃ©rminos usando & ("y"), | ("o") y ! ("no"), usando parÃ©ntesis \
+para agrupar tÃ©rminos si asi se desea. Esto permite escribir bÃºsquedas mÃ¡s precisas. </p>\
+<p>TambiÃ©n es posible obtener una caja de texto mÃ¡s amplia, de manera tal que se puedan hacer bÃºsquedas por un pÃ¡rrafo entero. \
+Es extremadamente rÃ¡pido buscar grandes cantidades de texto. </p>\
+help.searchpreferences2:<p>Se puede habilitar el historial de bÃºsqueda el cual muestra las Ãºltimas consultas efectuadas.\ Esto facilita el poder repetir una bÃºsqueda con algunas modificaciones mÃ­nimas.</p> \
+<p>Finalmente, se puede controlar el nÃºmero de documentos retornados, y la cantidad que se muestra en cada grupo.</p>
 
 help.mgsearchpreferences:<p>Un par de botones controlan si deben coincidir mayÃºsculas y minÃºsculas al buscar. \ Por ejemplo, si se selecciona "ignorar mayÃºsculas", snail farming va a ser tratado igual que Snail Farming o que SNAIL FARMING .</p>
Index: main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_es.properties	(revision 30040)
+++ main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_es.properties	(revision 30040)
@@ -0,0 +1,36 @@
+Subject:Tema
+Subject.buttonname:temas
+Title:TÃ­tulo
+Title.buttonname:tÃ­tulos
+Organisation:OrganizaciÃ³n
+Organisation.buttonname:organizaciones
+Organization:OrganizaciÃ³n
+Organization.buttonname:organizaciones
+Keyword:Palabras claves
+Keyword.buttonname:palabras claves
+HowTo:CÃ³mo hacer
+HowTo.buttonname:cÃ³mo hacer
+Howto:CÃ³mo hacer
+Howto.buttonname:cÃ³mo hacer
+Creator:Autor
+Creator.buttonname:autores
+Date:Fecha
+Date.buttonname:fechas
+From:De
+From.buttonname:emisores
+To:Para
+To.buttonname:destinatarios
+Source:Fuente
+Source.buttonname:nombres de archivos
+Acronym:AcrÃ³nimo
+Acronym.buttonname:acrÃ³nimos
+Topic:Tema
+Topic.buttonname:temas
+Collage:Collage
+Collage.buttonname:collage
+Countries:Paises
+Countries.buttonname:paises
+Language:Idioma
+Language.buttonname:idiomas
+Artist:Artista
+Artist.buttonname:artistas