Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30045)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30046)
@@ -1750,5 +1750,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0390">Drag <Path>englishhistory.net</Path> from the left-hand side to the right to include it in your <b>tudor</b> collection. (This material is from Marilee Hanson's Tudor England Collection at <Link>http://englishhistory.net/tudor.html</Link>, distributed with her permission.)</Text>
+<Text id="0390">Drag <Path>englishhistory.net</Path> from the left-hand side to the right to include it in your <b>tudor</b> collection. (This material is from Marilee Hanson's Tudor England Collection at <Link>http://englishhistory.net/tudor/</Link>, distributed with her permission.)</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1894,5 +1894,5 @@
 </Comment>
 <NumberedItem>
-<Text id="0463">Switch to the <AutoText key="glidict::GUI.Create"/> panel and view the options that are displayed in the top portion of the screen. Select <AutoText text="maxdocs"/> and set its numeric counter to <AutoText text="3"/>. (When in GLI's <AutoText key="glidict::Preferences.Mode.Expert"/> Mode, the <AutoText text="maxdocs"/> option for the import process are located under the <AutoText text="Import Options"/> of the <AutoText key="glidict::GUI.Create"/> panel.) Now <b>build</b>.</Text>
+<Text id="0463">Switch to the <AutoText key="glidict::GUI.Create"/> panel, select <AutoText text="Import Options"/> on the left and view the options that are then displayed to the right. Select <AutoText text="maxdocs"/> and set its numeric counter to <AutoText text="3"/>. (When in GLI's <AutoText key="glidict::Preferences.Mode.Expert"/> Mode, the <AutoText text="maxdocs"/> option for the import process are located under the <AutoText text="Import Options"/> of the <AutoText key="glidict::GUI.Create"/> panel.) Now <b>build</b>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2306,5 +2306,5 @@
 <NumberedItem>
 <Text id="0414">In a web browser, visit <Link>http://englishhistory.net</Link>, follow the link to <i>Tudor England</i>. You should be at the URL</Text>
-<Link>http://englishhistory.net/tudor.html</Link> 
+<Link>http://englishhistory.net/tudor/</Link> 
 <Text id="0415">This is where we started the downloading process to obtain the files you have been using for the <b>tudor</b> collection. You could do the same thing by copying this URL from the web browser, pasting it into the <AutoText key="glidict::GUI.Download"/> panel, and clicking the <AutoText key="glidict::Mirroring.Download" type="button"/> button. However, several megabytes will be downloaded, which might strain your network resources&mdash;or your patience! For a faster exercise we focus on a smaller section of the site. </Text>
 </NumberedItem>
@@ -4522,11 +4522,11 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="oaiserver-22">Greenstone 3's OAI implementation uses the OAI standard for Dublin Core, <AutoText text="oai_dc" type="italics"/>, metadata format. By default, it maps all Dublin Core metadata you may have assigned to your collections into <AutoText text="oai_dc" type="italics"/>. This default mapping is specified in the <Path>web\WEB-INF\classes\OAIConfig.xml</Path> file. If all (or most) of your collections will be using a different metadata format, you can edit the OAIConfig.xml file's <Format>mappingList</Format> section to create mappings from the metadata fields you're using to those in <AutoText text="oai_dc" type="italics"/>. You can also specify mappings at a collection-level, overriding the mappings in OAIConfig.xml for that collection. So if a collection specifies metadata for a different metadata set format from the default mappings in OAIConfig.xml, adjust the collection's <Path>web\sites\localsite\collect\&lt;collection-name&gt;\etc\collectionConfig.xml</Path> file to tell Greenstone how to map the metadata fields of your chosen metadata set format into the <AutoText text="oai_dc" type="italics"/> Dublin Core metadata set supported by the Greenstone OAI server.</Text>
-<Text id="oaiserver-23">For instance, look in the <b>demo</b> collection's collectionConfig.xml file (<Path>web\sites\localsite\collect\lucene-jdbm-demo\etc\collectionConfig.xml</Path>) and scroll down to the definition for the <Format>OAIPMH</Format> ServiceRack. Look in its <Format>mappingList</Format> which will explain and provide examples for how to specify such oai mappings from the <AutoText text="DLS" type="italics"/> metadata format that the <b>demo</b> collection uses, to the Dublin Core (<AutoText text="oai_dc" type="italics"/>) metadata used by Greenstone's OAI server. Its <AutoText key="metadata::dls.Organisation"/> metadata is mapped to <AutoText text="oai_dc.publisher"/> using the following line in the collectionConfig.xml configuration file (note the use of case):</Text>
+<Text id="oaiserver-22">Greenstone 3's OAI implementation uses the OAI standard for Dublin Core, <AutoText text="oai_dc" type="italics"/>, metadata format. By default, it maps all Dublin Core metadata you may have assigned to your collections into <AutoText text="oai_dc" type="italics"/>. This default mapping is specified in the <Path>web\WEB-INF\classes\OAIConfig.xml</Path> file. If all (or most) of your collections will be using a different metadata format, you can edit the OAIConfig.xml file's <Format>elementList</Format> section to create mappings from the metadata fields you're using to those in <AutoText text="oai_dc" type="italics"/>. You can also specify mappings at a collection-level, overriding the mappings in OAIConfig.xml for that collection. So if a collection specifies metadata for a different metadata set format from the default mappings in OAIConfig.xml, adjust the collection's <Path>web\sites\localsite\collect\&lt;collection-name&gt;\etc\collectionConfig.xml</Path> file to tell Greenstone how to map the metadata fields of your chosen metadata set format into the <AutoText text="oai_dc" type="italics"/> Dublin Core metadata set supported by the Greenstone OAI server.</Text>
+<Text id="oaiserver-23">For instance, look in the <b>demo</b> collection's collectionConfig.xml file (<Path>web\sites\localsite\collect\lucene-jdbm-demo\etc\collectionConfig.xml</Path>) and scroll down to the definition for the <Format>OAIPMH</Format> ServiceRack. Look at its section of <Format>element mappings</Format>, which will explain and provide an example for how to specify such an oai mapping from the <AutoText text="DLS" type="italics"/> metadata format that the <b>demo</b> collection uses, to the Dublin Core (<AutoText text="oai_dc" type="italics"/>) metadata used by Greenstone's OAI server. Its <AutoText key="metadata::dls.Organisation"/> metadata is mapped to <AutoText text="oai_dc.publisher"/> using the following line in the collectionConfig.xml configuration file (note the use of case):</Text>
 <Format>&lt;element name=&quot;dc:publisher&quot;&gt;<br />
 <Tab n="1"/>&lt;mapping elements=&quot;dls.Organization&quot; /&gt;<br />
 &lt;/element&gt;
 </Format><!--OLD WAY: <Format>&lt;mapping&gt;dc:publisher,dls.Organization&lt;/mapping&gt;</Format>-->
-<Text id="oaiserver-24">Because the <AutoText text="backdrop"/> collection uses DC metadata, no mapping is required, as the default mappings from DC metadata to <AutoText text="oai_dc" type="italics"/> are already specified in OAIConfig.xml. (The <AutoText text="demo"/> collection has its DC metadata set's title, subject and language fields explicitly mapped to the oai_dc metadata set, although oai mappings are not necessary if the metadata set is already Dublin Core, dc.)</Text>
+<Text id="oaiserver-24">Because the <AutoText text="backdrop"/> collection uses DC metadata, no mapping is required, as the default mappings from DC metadata to <AutoText text="oai_dc" type="italics"/> are already specified in OAIConfig.xml.</Text>
 </MajorVersion>
 </NumberedItem>
@@ -4575,5 +4575,5 @@
 <MajorVersion number="3">
 <NumberedItem>
-<Text id="gs-oai-3-3">For this exercise, we will be visiting the <b>Open Archives Validator</b>, for which your OAIserver needs to provide a valid email address. In a text editor, open up your Greenstone installation's <AutoText text="web/WEB-INF/classes/OAIConfig.xml.in" type="italics"/> file again. Set the value of the <Format>adminEmail</Format> element to the email address where the validation results are to be sent. Also set the <Format>repositoryId</Format> element (OAI repositoryIdentifier). The structure of its value is like a domain name and needs to be of the form of <Format>word-dot-extension</Format>, such as "greenstone.org". For more information on the structure of its value, see <Link>http://www.openarchives.org/OAI/2.0/guidelines-oai-identifier.htm</Link>. (If you wanted to additionally test the behaviour of the <Format>resumptionToken</Format> against the OAI Validator, you would set the <Format>resumeAfter</Format> element to a low value like 5).</Text> 
+<Text id="gs-oai-3-3">For this exercise, we will be visiting the <b>Open Archives Validator</b>, for which your OAIserver needs to provide a valid email address. In a text editor, open up your Greenstone installation's <AutoText text="resources/oai/OAIConfig.xml" type="italics"/> file. Set the value of the <Format>adminEmail</Format> element to the email address where the validation results are to be sent. Also set the <Format>repositoryId</Format> element (OAI repositoryIdentifier). The structure of its value is like a domain name and needs to be of the form of <Format>word-dot-extension</Format>, such as "greenstone.org". For more information on the structure of its value, see <Link>http://www.openarchives.org/OAI/2.0/guidelines-oai-identifier.htm</Link>. (If you wanted to additionally test the behaviour of the <Format>resumptionToken</Format> against the OAI Validator, you would set the <Format>resumeAfter</Format> element to a low value like 5).</Text> 
 </NumberedItem>
 <NumberedItem>
@@ -4583,5 +4583,5 @@
 <NumberedItem>
 <Text id="gs-oai-16">The Open Archives Validator page will request the URL to your Greenstone OAI server. Paste the URL you have in your copy buffer into the field provided for this, and press the <b>Validate baseURL</b> button to start running the tests. You will be told to check the <Format>adminEmail</Format> address you provided to continue the remaining tests and to get the validation report.</Text>
-<Text id="gs-oai-17">If the validator does not recognise the URL, make sure you have given the full domain of your host machine rather than just the host name. If that URL is still not accepted, visit the <AutoText text="oaiserver.cgi?verb=Identify" type="italics"/> page again and check this works. If it doesn't, it may be your machine is not set up to be accessible to outside networks. Check your proxy settings, make sure you've set up port forwarding and that your firewall is not interfering.</Text>
+<Text id="gs-oai-17">If the validator does not recognise the URL, make sure you have given the full domain of your host machine rather than just the host name. If that URL is still not accepted, visit the <AutoText text="oaiserver.cgi?verb=Identify" type="italics"/> page again and check this works. If it doesn't, it may be that your machine is not set up to be accessible to outside networks. Check your proxy settings, make sure you've set up port forwarding and that your firewall is not interfering.</Text>
 </NumberedItem>
 </Content>
@@ -4703,5 +4703,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="gli-oai-17">If you wish, you can now set up this collection in a manner similar to how the <b>backdrop</b> collection was set up in <TutorialRef id="simple_image_collection"/>. Don't forget to copy in any specific format statements, then <b>rebuild</b> and <b>preview</b> the collection.</Text>
+<Text id="gli-oai-17">If you wish, you can now set up this collection in a manner similar to how the <b>backdrop</b> collection was set up in <TutorialRef id="simple_image_collection"/>. Don't forget to copy in any specific format statements, adjust them to use the <Format>ex.dc</Format> metadata instead of <Format>dc</Format> metadata, then <b>rebuild</b> and <b>preview</b> the collection.</Text>
 </NumberedItem>
 </Content>
@@ -5044,5 +5044,5 @@
 <MajorVersion number="2">
 <NumberedItem>
-<Text id="indexers-26">MGPP supports stemming, casefolding and accentfolding. By default, searching in collections built with MGPP indexer is set to <AutoText key="coredm::_preferences:textnostem_"/> and <AutoText key="coredm::_preferences:textignorecase_"/>. So searching <i>econom</i> will return 0 documents. Searching for <i>fao</i> and <i>FAO</i> return the same result &mdash; 85 word counts and 11 matched documents.</Text>
+<Text id="indexers-26">MGPP supports stemming, casefolding and accentfolding. By default, searching in collections built with the MGPP indexer is set to <AutoText key="coredm::_preferences:textnostem_"/> and <AutoText key="coredm::_preferences:textignorecase_"/>. So searching <i>econom</i> will return 0 documents. Searching for <i>fao</i> and <i>FAO</i> return the same result &mdash; 85 word counts and 11 matched documents.</Text>
 <Text id="indexers-26a">Go to the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page by clicking the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> button at the top right corner. You can see that the <AutoText key="coredm::_preferences:textwordends_"/> option is set to <AutoText key="coredm::_preferences:textnostem_"/> and the <AutoText key="coredm::_preferences:textcasediffs_"/> option is set to <AutoText key="coredm::_preferences:textignorecase_"/>.</Text>
 </NumberedItem>
@@ -5394,5 +5394,5 @@
 </Heading>
 <NumberedItem>
-<Text id="hp-21">Under the heading "Library Links" in the left sidebar of your home page, you will notice that there are several links. However, we don't want all of these links to appear all of the time. "Login" should only appear when the user is <i>not</i> logged in, while "Account Settings", "Register as a new user", "Administration", and "Logout" should only appear when a user <i>is</i> logged in.</Text>
+<Text id="hp-21">Under the heading "Library Links" in the left sidebar of your home page, you will notice that there are several links. However, we don't want all of these links to appear all of the time. "Login" should only appear when the user is <i>not</i> logged in, while "admin" (Account Settings), "Register as a new user", "Administration", and "Logout" should only appear when a user <i>is</i> logged in.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5460,5 +5460,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="hp-33">For changes to <i>siteConfig.xml</i> to take affect, the site must be reconfigured. To do this, you can either restart the server, or, in a browser window, navigate to <b>http://localhost:8383/greenstone3/library?a=s&amp;sa=c</b> (replace <i>8383</i> if you are running the Greenstone3 server on another port, like <i>8080</i> or <i>8088</i>). Navigate back to your home page (by clicking the link in the upper left corner). The page title and header should now be your new library name. Enter one of your collections and see that your library name (in the top left corner) has changed here, as well.</Text>
+<Text id="hp-33">For changes to <i>siteConfig.xml</i> to take affect, the site must be reconfigured. To do this, you can either restart the server, or, in a browser window, navigate to <b>http://localhost:8383/greenstone3/library?a=s&amp;sa=c</b> (replace <i>8383</i> if you are running the Greenstone3 server on another port, like <i>8080</i> or <i>8088</i>). Wait for the page to reload, which may take a while if there are many collections in your digital library. Navigate back to your home page (by clicking the link in the upper left corner). The page title and header should now be your new library name. Enter one of your collections and see that your library name (in the top left corner) has changed here, as well.</Text>
 </NumberedItem>
 </Content>
@@ -5475,5 +5475,5 @@
 <Text id="dl-c2"><b>Interfaces</b> dictate the presentation -- e.g. the HTML, CSS, Javascript, etc. used to present the content. You can have multiple sites and interfaces. <br/><br/></Text>
 <Text id="dl-c3"><b>Libraries</b> combine content and presentation. To define a library, you select the site and the interface you want it to use. And, of course, you can have multiple libraries, and each site and interface can be used multiple times.  <br/><br/></Text>
-<Text id="dl-c4">In this tutorial, we will become familiar with <b>web.xml</b> (where libraries are defined), create a new site, add an interface, and define a new library.</Text>
+<Text id="dl-c4">In this tutorial, we will become familiar with <b>servlets.xml</b> (where libraries are defined), create a new site, add an interface, and define a new library.</Text>
 </Comment>
 <Heading>
@@ -5486,5 +5486,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="dl-04">In a Windows Explorer, navigate to the <Path>Greenstone3 &rarr; web &rarr; WEB-INF </Path> folder and open <b>web.xml</b> in a text editor. Scroll down until you see this section:
+<Text id="dl-04">In a Windows Explorer, navigate to the <Path>Greenstone3 &rarr; web &rarr; WEB-INF </Path> folder and open <b>servlets.xml</b> in a text editor. Scroll down until you see this section:
 </Text>
 
@@ -5533,5 +5533,5 @@
 </Heading>
 <NumberedItem>
-<Text id="dl-11">Now, let's define a library that uses this new site. In <b>web.xml</b>, add the following (which can be copied from <Path>sample_files &rarr; libraries &rarr; def_libs.txt</Path>);  The exact location doesn't matter, just put it with the other servlets:</Text>
+<Text id="dl-11">Now, let's define a library that uses this new site. In <b>servlets.xml</b>, add the following (which can be copied from <Path>sample_files &rarr; libraries &rarr; def_libs.txt</Path>);  The exact location doesn't matter, just put it with the other servlets:</Text>
 <Format>
 	<Tab n="1"/>&lt;servlet&gt;<br/>
@@ -5570,5 +5570,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="dl-13">Save <b>web.xml</b>. For the changes to take effect, we must first restart the server. Click the <b>Restart Library</b> button in the Greenstone Server window. When the new browser window opens, navigate to <i>http://localhost:8383/greenstone3/library2</i> to see your newly defined library. Notice that only one collection appears -- the Lucene Demo Collection that we copied into <b>mysite</b>.</Text>
+<Text id="dl-13">Save <b>servlets.xml</b>. For the changes to take effect, we must first restart the server. Click the <b>Restart Library</b> button in the Greenstone Server window. When the new browser window opens, navigate to <i>http://localhost:8383/greenstone3/library2</i> to see your newly defined library. Notice that only one collection appears -- the Lucene Demo Collection that we copied into <b>mysite</b>.</Text>
 </NumberedItem>
 <Heading>
@@ -5576,5 +5576,5 @@
 </Heading>
 <NumberedItem>
-<Text id="dl-14">Now that we know how to create and use a new site, let's add a new interface and define a library that uses it. Creating a new interface takes time (and is a tutorial all its own), so, for this tutorial, we are just going to use a pre-made interface. From the <Path>sample_files &rarr; libraries</Path> folder, copy the folder <b>althor</b> into the <Path>Greenstone3 &rarr; web &rarr; interfaces</Path> folder. In <b>web.xml</b>, define a new library that uses the althor interface:</Text>
+<Text id="dl-14">Now that we know how to create and use a new site, let's add a new interface and define a library that uses it. Creating a new interface takes time (and is a tutorial all its own), so, for this tutorial, we are just going to use a pre-made interface. From the <Path>sample_files &rarr; libraries</Path> folder, copy the folder <b>althor</b> into the <Path>Greenstone3 &rarr; web &rarr; interfaces</Path> folder. In <b>servlets.xml</b>, define a new library that uses the althor interface:</Text>
 <Format>
 	<Tab n="1"/>&lt;servlet&gt;<br/>
@@ -5613,5 +5613,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="dl-16">Save <b>web.xml</b>, restart the server again and navigate to <i>http://localhost:8383/greenstone3/rand</i>, where you will see the <b>rand</b> library, which displays <b>mysite</b> using the <b>althor</b> interface. </Text>
+<Text id="dl-16">Save <b>servlets.xml</b>, restart the server again and navigate to <i>http://localhost:8383/greenstone3/rand</i>, where you will see the <b>rand</b> library, which displays <b>mysite</b> using the <b>althor</b> interface. </Text>
 <Comment>
 <Text id="dl-c5">The <b>althor</b> interface was created using a free CSS template created by <Link url="http://www.luiszuno.com">luiszuno.com</Link>. If any of your collections has a home page image, an image slider will appear on the home page of your library. (You can add a home page image to a collection in the <b>General</b> section of the <b>Format</b> panel in the GLI.) </Text>
@@ -5688,5 +5688,5 @@
 </Heading>
 <NumberedItem>
-<Text id="ni1-07">Now, let's define a library that uses the new interface. In <Path>Greenstone3 &rarr; web &rarr; WEB-INF</Path> open <b>web.xml</b>, and add the following (the exact location doesn't matter, just put it with the other servlets):</Text>
+<Text id="ni1-07">Now, let's define a library that uses the new interface. In <Path>Greenstone3 &rarr; web &rarr; WEB-INF</Path> open <b>servlets.xml</b>, and add the following (the exact location doesn't matter, just put it with the other servlets):</Text>
 <Format>
 	<Tab n="1"/>&lt;servlet&gt;<br/>
@@ -5725,5 +5725,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni1-09">Save web.xml. Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to the default library's home page.</Text>
+<Text id="ni1-09">Save servlets.xml. Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to the default library's home page.</Text>
 <Text id="ni1-10">Navigate to <Path>http://localhost:8383/greenstone3/golden</Path>. This library is using the <i>perrin</i> interface. However, since <i>perrin</i> contains no files except its configuration file, Greenstone is borrowing everything from <i>default</i>, <i>perrin</i>'s base interface.</Text>
 </NumberedItem>
@@ -5736,13 +5736,11 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni1-13">Visit <i>http://www.os-templates.com/free-website-templates/news-magazine</i> and click the <b>Download Here</b> button. In the popup window, select <b>Save File</b> and click <b>OK</b>. This will download the file news-magazine.7z, which has a <i>7zip</i> extension. If you have 7zip installed, then you can extract the file in place. If not, you can either download the free utility, 7zip, from the web, or alternatively use an online service to convert it to a zip file that Windows can extract.</Text> 
+<Text id="ni1-13">Visit <i>http://www.os-templates.com/free-website-templates/news-magazine</i> and click the <b>Download This Template</b> button. In the popup window, select <b>Save File</b> and click <b>OK</b>. This will download the file news-magazine.7z, which has a <i>7zip</i> extension. If you have 7zip installed, then you can extract the file in place. If not, you can either download the free utility, 7zip, from the web, or alternatively use an online service to convert it to a zip file that Windows can extract.</Text> 
 <Text id="ni1-13a">To do the latter, visit <AutoText text="wobzip.org" />. Click the <AutoText text="Browse from computer" /> button, and in the file browser dialog that appears, navigate to where you downloaded the <i>news-magazine.7z</i> file, select the file and confirm to close the file browser dialog. Next, click the <AutoText text="Uncompress" /> button at <i>wobzip.org</i> and wait until the site has extracted the 7z file and takes you to its download page. When that page now loads, click the <AutoText text="Download as zip" /> button. (<i>After</i> downloading has finished, you can press the <AutoText text="Delete Upload" /> button to clear all your files from WOBZIP's server.) </Text>
 <Text id="ni1-13b">On Windows, this will save the file <b>news-magazine.zip</b> in your <b>Downloads</b> folder. <i>This template is free to use and modify, but the Copyright and link information <b>must remain intact</b> in files and in the footer of every page. The template <b>cannot be distributed</b> (modified or otherwise) without express permission from OS-Templates. (The full license is provided in the <b>license.txt</b> file included with the template).</i></Text>
-</NumberedItem>
-<NumberedItem>
 <Text id="ni1-14">In an Explorer window, navigate to your Downloads folder (<Path>C:\Users\&lt;user-name&gt;\Downloads</Path>). Right-click <b>news-magazine.zip</b>, select <b>Extract All...</b> and, in the popup window, click <b>Extract</b>.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="ni1-15">From the new news-magazine folder, copy the <b>styles</b>, <b>scripts</b>, and <b>images</b> folders and the <b>license.txt</b> file into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>. </Text>
+<Text id="ni1-15">In the new news-magazine folder, open the <b>layout</b> subfolder and copy the <b>styles</b>, <b>scripts</b>, and <b>images</b> folders into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>. Also copy the file <b>license.txt</b> from the news-magazine folder into the same location. Move the javascript files (files that end with a js extension) that are in the new <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder into <Path>perrin &rarr; scripts</Path>. If you wish, you can delete the <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder.</Text>
 <Text id="ni1-16">In the new <Path> perrin &rarr; images </Path> folder, delete everything except the <b>galleryviewthemes</b> folder and its contents, because we will not be using any of the other images. </Text>
 </NumberedItem>
@@ -5754,5 +5752,5 @@
 <NumberedItem>
 <Text id="ni1-18a">Now, from the <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the <b>styles</b>, <b>images</b>, and <b>transform</b> folders, as well as the <b>index-GS3.html</b> file into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path> (If a popup window asks whether you want to merge the images and styles folders, select "Yes".)</Text> 
-<Text id="ni1-18b">Next, copy the two javascript files in <Path>sample_files &rarr; interfaces</Path> (<i>jquery.galleryview-2.1.1.js</i> and <i>jquery.galleryview.2.1.1.min.js</i>) to <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; scripts</Path>, replacing the existing files by this name. These two javascript files are modified versions to cope with an update to jquery. The modified files are necessary for the next tutorial's image slider to show up and work.</Text>
+<Text id="ni1-18b">Next, copy the two javascript files in <Path>sample_files &rarr; interfaces</Path> (<i>jquery.galleryview-2.1.1.js</i> and especially <i>jquery.galleryview.2.1.1.min.js</i>) to <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; scripts</Path>, replacing any existing files of identical name. These two javascript files are modified versions to cope with an update to jquery. The modified files are necessary for the next tutorial's image slider to show up and work.</Text>
 <Text id="ni1-18c">We have now gathered all of the Javascript, CSS, and images our new interface will use.</Text>
 <Text id="ni1-19">Double click on <Path>perrin &rarr; index-GS3.html</Path> to open it in a browser window. This file isn't used by the new interface, but provides a preview of how the interface will look. </Text>