Index: main/trunk/release-kits/kits/rk3/installer/antinstall-config.xml
===================================================================
--- main/trunk/release-kits/kits/rk3/installer/antinstall-config.xml	(revision 30039)
+++ main/trunk/release-kits/kits/rk3/installer/antinstall-config.xml	(revision 30052)
@@ -13,7 +13,24 @@
 
 	<!-- select language page -->
+	<!-- We want a dropdown for installer language selection.
+	<select> is rendered as radio buttons in the GUI version.
+	antinstaller.sourceforge.net/manual.html
+	<large-select>: "The large select has identical options to the select input. 
+	Large select enables the list of options to be greater and is displayed differently. 
+	In the Swing GUI the options are rendered as a drop-down list. 
+	In the text/console UI the options are shown to the user 20 lines at a time."
+	An example: https://github.com/ykyuen/maven-h2o/blob/master/h2o-installer/ant-installer/antinstall-config.xml
+	
+	However, to get <large-select> to work as <select> did, needed to modify the AntInstaller code itself
+	in release-kits\shared\core\ant-installer\src\org\tp23\antinstaller\runtime\exe\LoadConfigFilter.java,
+	and also bring the code in antinstaller\input\LargeSelectInput.java up to speed with Oran's changes to <select> 
+	in ant-installer\src\org\tp23\antinstaller\input\SelectInput.java
+	
+	<option value="hy" text="Armenian"/>
+	<option value="jp" text="æ¥æ¬èª (Japanese)"/>
+	-->
 	<page type="input" name="language-selector" displayText="">
 		<comment name="language-selector-explanation"/>
-		<select property="language" defaultValue="en" displayText="" useAsLocale="true">
+		<large-select property="language" defaultValue="en" displayText="" useAsLocale="true">
 			<option value="en" text="English"/>
 			<option value="fr" text="FranÃ§ais (French)"/>
@@ -23,5 +40,6 @@
 			<option value="zh" text="äž­æ (Chinese)"/>
 			<option value="ar" text="Arabic"/>
-		</select>
+			<option value="kk" text="ÒÐ°Ð·Ð°Ò (Kazakh)"/>
+		</large-select>
 	</page>
 
Index: main/trunk/release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/input/LargeSelectInput.java
===================================================================
--- main/trunk/release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/input/LargeSelectInput.java	(revision 30039)
+++ main/trunk/release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/input/LargeSelectInput.java	(revision 30052)
@@ -19,4 +19,5 @@
 import java.util.MissingResourceException;
 import java.util.ResourceBundle;
+import java.util.Locale;
 
 import org.tp23.antinstaller.InstallerContext;
@@ -41,8 +42,13 @@
 	private LargeSelectInput.Option[] options;
 
+	private boolean useAsLocale = false;
+	
 	public LargeSelectInput() {
 	}
 
-
+	public void setUseAsLocale(boolean ual) {
+		this.useAsLocale = ual;
+	}
+	
 	public LargeSelectInput.Option[] getOptions() {
 		return options;
@@ -66,5 +72,5 @@
 		public String getText() {
 			if( org.tp23.antinstaller.Installer.langPack != null ) {
-				return org.tp23.antinstaller.Installer.langPack.getString(getProperty() + "." + idx +".displayText");
+				return org.tp23.antinstaller.Installer.langPack.getString(getProperty() + "." + idx +".displayText");				
 			}
 			return text;
@@ -72,6 +78,18 @@
 	}
 	
-	public void setValue(String dir){
-		setInputResult(dir);
+	public void setValue(String value){ //param name used to be "dir" not "value", but bringing in line with SelectInput.java
+		setInputResult(value);
+		if ( useAsLocale ) {
+			//expect something like 'en' or or something like 'en_US'
+			Locale newLocale = null;
+			if ( value.length() == 2 ) {
+				newLocale = new Locale(value);
+				Locale.setDefault( newLocale );
+			} else if ( value.length() == 5 ) {
+				newLocale = new Locale(value.substring(0,2), value.substring(3,5));
+				Locale.setDefault( newLocale );
+			} //else { you're out of luck }
+			org.tp23.antinstaller.Installer.langPack = ResourceBundle.getBundle("resources.LanguagePack", newLocale );
+		}
 	}
 	/**
Index: main/trunk/release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/input/SelectInput.java
===================================================================
--- main/trunk/release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/input/SelectInput.java	(revision 30039)
+++ main/trunk/release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/input/SelectInput.java	(revision 30052)
@@ -74,5 +74,5 @@
 					String r = org.tp23.antinstaller.Installer.langPack.getString( getProperty() + "." + idx + ".displayText" );
 					return r;
-				} catch ( java.util.MissingResourceException mre ) {}
+				} catch ( java.util.MissingResourceException mre ) {} // restoring original comment: ignore, signifies no language packs installed
 			}
 			return text;
Index: main/trunk/release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/runtime/exe/LoadConfigFilter.java
===================================================================
--- main/trunk/release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/runtime/exe/LoadConfigFilter.java	(revision 30039)
+++ main/trunk/release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/runtime/exe/LoadConfigFilter.java	(revision 30052)
@@ -345,5 +345,5 @@
 
 			String s = field.getAttribute("useAsLocale");
-			if ( s != null || !s.equals("") ) {
+			if ( s != null && s.equals("true") ) {
 				sInput.setUseAsLocale(true);
 			}
@@ -383,4 +383,8 @@
 			sInput.setOptions(optionArr);
 
+			String s = field.getAttribute("useAsLocale");
+			if ( s != null && s.equals("true") ) {
+				sInput.setUseAsLocale(true);
+			}
 			return sInput;
 		}