Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30053)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30054)
@@ -8,8 +8,8 @@
 <TutorialList>
 <Title>
-<Text id="0001">Greenstone tutorial exercises (2014)</Text>
+<Text id="0001">Greenstone tutorial exercises (2015)</Text>
 </Title>
 <MajorVersion number="2"><Version current="2.86"/></MajorVersion>
-<MajorVersion number="3"><Version current="3.06"/></MajorVersion>
+<MajorVersion number="3"><Version current="3.07"/></MajorVersion>
 <SupplementaryText>
 <Text id="title">Greenstone tutorial exercise</Text>
@@ -21,5 +21,5 @@
 <Text id="wiki">Back to wiki</Text>
 <Text id="print">Print version</Text>
-<Text id="copyright">Copyright &copy; 2005-2012 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand<br/>Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://wiki.greenstone.org/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
+<Text id="copyright">Copyright &copy; 2005-2015 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand<br/>Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://wiki.greenstone.org/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </SupplementaryText>
 <Comment>
@@ -507,5 +507,5 @@
 </Title>
 <SampleFiles folder="simple_html"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -524,5 +524,5 @@
   <MajorVersion number="3">
     <Menu>
-      <Text id="0255c">Start &rarr; All Programs &rarr; Greenstone-3.06 &rarr; Greenstone Librarian Interface (GLI)</Text>
+      <Text id="0255c">Start &rarr; All Programs &rarr; Greenstone-3.07 &rarr; Greenstone Librarian Interface (GLI)</Text>
     </Menu>
   </MajorVersion>
@@ -615,5 +615,5 @@
 </Title>
 <SampleFiles folder="images"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -770,5 +770,5 @@
 <SampleFiles folder="images_gps"/>
 <Prerequisite id="simple_image_collection"/>
-<Version initial="2.86" current="2.86|3.06"/>
+<Version initial="2.86|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -815,5 +815,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -924,5 +924,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.70w" current="2.86|3.06"/>
+<Version initial="2.70w|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -1187,5 +1187,5 @@
 <SampleFiles folder="pdfbox"/>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85" current="2.86|3.06"/>
+<Version initial="2.85|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -1232,5 +1232,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.70" current="2.86|3.06"/>
+<Version initial="2.70|3.06" current="2.86|3.07"/>
 <Content>
 <Text id="ep-2">Greenstone converts PDF files to HTML using third-party software: <AutoText text="pdftohtml.pl" type="italics"/>. This lets users view these documents even if they don't have the PDF software installed. Unfortunately, sometimes the formatting of the resulting HTML files is not so good. This exercise explores some extra options to the PDF plugin which may produce a nicer version for display.</Text>
@@ -1428,5 +1428,5 @@
 <Text id="ew-a">Enhanced Word document handling</Text>
 </Title>
-<Version initial="2.70w" current="2.86|3.06"/>
+<Version initial="2.70w|3.06" current="2.86|3.07"/>
 <Prerequisite id="word_pdf_collection"/>
 <Content>
@@ -1552,5 +1552,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85" current="2.86|3.06"/>
+<Version initial="2.85|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -1740,5 +1740,5 @@
 </Title>
 <SampleFiles folder="tudor"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -1802,5 +1802,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -1911,5 +1911,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <NumberedItem>
@@ -2222,5 +2222,5 @@
 <Text id="st-1">Section tagging for HTML documents</Text>
 </Title>
-<Version initial="2.70w" current="2.86|3.06"/>
+<Version initial="2.70w|3.06" current="2.86|3.07"/>
 <Content>
 <NumberedItem>
@@ -2298,5 +2298,5 @@
 <Text id="0411">Downloading files from the web</Text>
 </Title>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -2340,5 +2340,5 @@
 </Title>
 <Prerequisite id="downloading_from_internet"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <NumberedItem>
@@ -2389,5 +2389,5 @@
 </Title>
 <SampleFiles folder="marc"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -2661,5 +2661,5 @@
 </Title>
 <SampleFiles folder="isis"/>
-<Version initial="2.70w" current="2.86|3.06"/>
+<Version initial="2.70w|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -2999,5 +2999,5 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="3.05" current="3.06"/>
+<Version initial="3.05" current="3.07"/>
 <Content>
 <Comment>
@@ -3008,5 +3008,5 @@
 </Heading>
 <NumberedItem>
-<Text id="themes-3">Enter your Greenstone Library. ( Go to <Path>Start &rarr; All Programs &rarr; Greenstone-3.06 &rarr; Greenstone3 Server</Path> and click <AutoText text="Enter Library"/>.)</Text>
+<Text id="themes-3">Enter your Greenstone Library. ( Go to <Path>Start &rarr; All Programs &rarr; Greenstone-3.07 &rarr; Greenstone3 Server</Path> and click <AutoText text="Enter Library"/>.)</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3129,5 +3129,5 @@
 <SampleFiles folder="custom"/>
 <Prerequisite id="using_themes"/>
-<Version initial="3.05" current="3.06"/>
+<Version initial="3.05" current="3.07"/>
 <Content>
 <Comment>
@@ -3211,5 +3211,5 @@
 </Title>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <NumberedItem>
@@ -3265,5 +3265,5 @@
 <Prerequisite id="multimedia_collection_explore"/>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -3797,5 +3797,5 @@
 </Title>
 <SampleFiles folder="niupepa"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -4137,5 +4137,5 @@
 <SampleFiles folder="niupepa"/>
 <Prerequisite id="scanned_image_collection"/>
-<Version initial="2.70" current="2.86|3.06"/>
+<Version initial="2.70|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -4268,5 +4268,5 @@
 </Title>
 <SampleFiles folder="oai"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -4458,5 +4458,5 @@
 </Title>
 <Prerequisite id="simple_image_collection"/>
-<Version initial="2.85" current="2.86|3.06"/>
+<Version initial="2.85|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -4594,5 +4594,5 @@
 </Title>
 <Prerequisite id="GS_OAI_server"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -4872,5 +4872,5 @@
 </Title>
 <Prerequisite id="dspace_to_greenstone"/>
-<Version initial="2.60" current="2.86|3.06"/>
+<Version initial="2.60|3.06" current="2.86|3.07"/>
 <Content>
 <Comment>
@@ -4922,5 +4922,5 @@
 <Text id="gems-1">Editing metadata sets</Text>
 </Title>
-<Version initial="2.70w" current="2.86|3.06"/>
+<Version initial="2.70w|3.06" current="2.86|3.07"/>
 <Content>
 <Text id="gems-2">GEMS (Greenstone Editor for Metadata Sets) can be used to modify existing metadata sets or create new ones. GEMS is launched from the Librarian Interface when you want to create a new metadata set, or edit an existing one. In this exercise, we run GEMS outside of the Librarian Interface.</Text>
@@ -4930,5 +4930,5 @@
 <NumberedItem>
 <Text id="gems-4">Start the Greenstone Editor for Metadata Sets (GEMS)</Text>
-<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.86 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.06 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
+<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.86 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.07 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
 <Text id="gems-5a">(If you're on Linux, use a terminal to run the <Command>gli/gems.sh</Command> start-up script.) </Text>
 </NumberedItem>
@@ -4964,5 +4964,5 @@
 </Title>
 <MajorVersion number="2"><SampleFiles folder="demo"/></MajorVersion>
-<Version initial="2.70w" current="2.86|3.06"/>
+<Version initial="2.70w|3.06" current="2.86|3.07"/>
 <Content>
 <Text id="indexers-2">Greenstone supports three indexers <b>MG</b>, <b>MGPP</b> and <b>Lucene</b>. </Text>
@@ -5235,5 +5235,5 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="3.06" current="3.06"/>
+<Version initial="3.06" current="3.07"/>
 <Content>
 <Comment>
@@ -5241,5 +5241,5 @@
 </Comment>
 <NumberedItem>
-<Text id="hp-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.06 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to your library home page, which we will be replacing with our custom home page.</Text>
+<Text id="hp-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.07 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to your library home page, which we will be replacing with our custom home page.</Text>
 </NumberedItem>
 <Heading>
@@ -5471,5 +5471,5 @@
 </Title>
 <SampleFiles folder="libraries"/>
-<Version initial="3.06" current="3.06"/>
+<Version initial="3.06" current="3.07"/>
 <Content>
 <Comment>
@@ -5483,5 +5483,5 @@
 </Heading>
 <NumberedItem>
-<Text id="dl-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.06 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to the default library's home page. This library uses the site called <b>localsite</b> and the interface called <b>default</b>. </Text>
+<Text id="dl-02">Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3.07 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to the default library's home page. This library uses the site called <b>localsite</b> and the interface called <b>default</b>. </Text>
 
 <Text id="dl-03">Change the url from <i>http://localhost:8383/greenstone3/library</i> to <i>http://localhost:8383/greenstone3/gs2-library</i> and reload the page. This is another library that is defined by Greenstone3. Again, the site it uses is <b>localsite</b>, but this library (called <b>gs2-library</b>) uses the <b>gs2</b> interface, which is based on the Greenstone2 layout. Let's take a look at where these libraries are defined.</Text>
@@ -5640,13 +5640,4 @@
 
 
-
-
-
-
-
-
-
-
-
 <Tutorial id="new_interface1">
 <Title>
@@ -5654,5 +5645,5 @@
 </Title>
 <SampleFiles folder="interfaces"/>
-<Version initial="3.06" current="3.06"/>
+<Version initial="3.06" current="3.07"/>
 <Content>
 <Comment>
@@ -5768,5 +5759,5 @@
 <SampleFiles folder="interfaces"/>
 <Prerequisite id="new_interface1"/>
-<Version initial="3.06" current="3.06"/>
+<Version initial="3.06" current="3.07"/>
 <Content>
 <Comment>
@@ -5970,5 +5961,5 @@
 <SampleFiles folder="interfaces"/>
 <Prerequisite id="new_interface2"/>
-<Version initial="3.06" current="3.06"/>
+<Version initial="3.06" current="3.07"/>
 <Content>
 <Comment>