Index: other-projects/the-macronizer/trunk/src/java/web/servlets/Email.java
===================================================================
--- other-projects/the-macronizer/trunk/src/java/web/servlets/Email.java	(revision 30059)
+++ other-projects/the-macronizer/trunk/src/java/web/servlets/Email.java	(revision 30059)
@@ -0,0 +1,120 @@
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+package web.servlets;
+
+import java.io.IOException;
+import java.io.PrintWriter;
+import javax.servlet.ServletException;
+import javax.servlet.http.HttpServlet;
+import javax.servlet.http.HttpServletRequest;
+import javax.servlet.http.HttpServletResponse;
+import org.apache.commons.mail.DefaultAuthenticator;
+import org.apache.commons.mail.EmailException;
+import org.apache.commons.mail.SimpleEmail;
+
+/**
+ *
+ * @author OEM
+ */
+public class Email extends HttpServlet {
+
+    /** 
+     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
+     * @param request servlet request
+     * @param response servlet response
+     * @throws ServletException if a servlet-specific error occurs
+     * @throws IOException if an I/O error occurs
+     */
+    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
+            throws ServletException, IOException {
+        response.setContentType("text/html;charset=UTF-8");
+        PrintWriter out = response.getWriter();
+        try {
+            /* TODO output your page here
+            out.println("<html>");
+            out.println("<head>");
+            out.println("<title>Servlet Email</title>");
+            out.println("</head>");
+            out.println("<body>");
+            out.println("<h1>Servlet Email at " + request.getContextPath () + "</h1>");
+            out.println("</body>");
+            out.println("</html>");
+             */
+        } finally {
+            out.close();
+        }
+    }
+
+    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
+    /** 
+     * Handles the HTTP <code>GET</code> method.
+     * @param request servlet request
+     * @param response servlet response
+     * @throws ServletException if a servlet-specific error occurs
+     * @throws IOException if an I/O error occurs
+     */
+    @Override
+    protected void doGet(HttpServletRequest request, HttpServletResponse response)
+            throws ServletException, IOException {
+        processRequest(request, response);
+    }
+
+    /** 
+     * Handles the HTTP <code>POST</code> method.
+     * @param request servlet request
+     * @param response servlet response
+     * @throws ServletException if a servlet-specific error occurs
+     * @throws IOException if an I/O error occurs
+     */
+    @Override
+    protected void doPost(HttpServletRequest request, HttpServletResponse response)
+            throws ServletException, IOException {
+        response.setContentType("text/html;charset=UTF-8");
+        PrintWriter out = response.getWriter();
+
+        final String host = "smtp.gmail.com";
+        final String user = "macroniser@gmail.com";
+        final String password = "macroniserpassword";
+        final String subject = request.getParameter("subject");
+        final String message = request.getParameter("message");
+        final String lang = request.getParameter("lang");
+
+        final org.apache.commons.mail.Email email = new SimpleEmail();
+        try {
+            email.setHostName(host);
+            email.setSmtpPort(587);
+            email.setAuthenticator(new DefaultAuthenticator(user, password));
+            email.setTLS(true);
+            email.setFrom(user);
+            email.setSubject(subject);
+            email.setMsg(message);
+            email.addTo(user);
+            email.send();
+
+            out.println("<html>");
+            out.println("<head>");
+            out.println("<title>Servlet EmailServlet</title>");
+            out.println("</head>");
+            out.println("<body>");
+            final String thankyouMessage = lang.equals("en") ? "Thank you" : "Kia ora";
+            out.println("<h1>" + thankyouMessage + "</h1>");
+            out.println("</body>");
+            out.println("</html>");
+        } catch (EmailException e) {
+            e.printStackTrace();
+        } finally {
+            out.close();
+        }
+    }
+
+    /** 
+     * Returns a short description of the servlet.
+     * @return a String containing servlet description
+     */
+    @Override
+    public String getServletInfo() {
+        return "Short description";
+    }// </editor-fold>
+}