Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30066)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30067)
@@ -1195,5 +1195,5 @@
 <Heading>Obtaining and installing the PDFBox extension for Greenstone</Heading>
 <NumberedItem>
-<Text id="pdfbox-ext-2">The wiki release notes that go with the Greenstone binary you downloaded will contain the download link to the PDFBox extension that works with your binary. If you want to try the most up-to-date version of the extension, <b>visit </b> <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.zip</Link> and download the zip archive from there, if you're in Windows. If you are working on a *nix machine, you might instead prefer to download the compressed tar file of the same by visiting <Link>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.tar.gz</Link>.</Text>
+<Text id="pdfbox-ext-2">The wiki release notes that go with the Greenstone binary you downloaded will contain the download link to the PDFBox extension that works with your binary. If you want to try the most up-to-date version of the extension, copy the link <i>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.zip</i> and paste it into the address bar of a browser window. Then download the zip archive from the page that loads, if you're in Windows. If you are working on a *nix machine, you might instead prefer to download the compressed tar file of the same by copying and pasting the link <i>http://trac.greenstone.org/browser/gs2-extensions/pdf-box/trunk/pdf-box-java.tar.gz</i> into your browser.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5729,5 +5729,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni1-13">Visit <i>http://www.os-templates.com/free-website-templates/news-magazine</i> and click the <b>Download This Template</b> button. In the popup window, select <b>Save File</b> and click <b>OK</b>. This will download the file news-magazine.7z, which has a <i>7zip</i> extension. If you have 7zip installed, then you can extract the file in place. If not, you can either download the free utility, 7zip, from the web, or alternatively use an online service to convert it to a zip file that Windows can extract.</Text> 
+<Text id="ni1-13">Visit <Link>http://www.os-templates.com/free-website-templates/news-magazine</Link> and click the <b>Download This Template</b> button. In the popup window, select <b>Save File</b> and click <b>OK</b>. This will download the file news-magazine.7z, which has a <i>7zip</i> extension. If you have 7zip installed, then you can extract the file in place. If not, you can either download the free utility, 7zip, from the web, or alternatively use an online service to convert it to a zip file that Windows can extract.</Text> 
 <Text id="ni1-13a">To do the latter, visit <AutoText text="wobzip.org" />. Click the <AutoText text="Browse from computer" /> button, and in the file browser dialog that appears, navigate to where you downloaded the <i>news-magazine.7z</i> file, select the file and confirm to close the file browser dialog. Next, click the <AutoText text="Uncompress" /> button at <i>wobzip.org</i> and wait until the site has extracted the 7z file and takes you to its download page. When that page now loads, click the <AutoText text="Download as zip" /> button. (<i>After</i> downloading has finished, you can press the <AutoText text="Delete Upload" /> button to clear all your files from WOBZIP's server.) </Text>
 <Text id="ni1-13b">On Windows, this will save the file <b>news-magazine.zip</b> in your <b>Downloads</b> folder. <i>This template is free to use and modify, but the Copyright and link information <b>must remain intact</b> in files and in the footer of every page. The template <b>cannot be distributed</b> (modified or otherwise) without express permission from OS-Templates. (The full license is provided in the <b>license.txt</b> file included with the template).</i></Text>