Index: main/trunk/gli/classes/dictionary_gu.properties
===================================================================
--- main/trunk/gli/classes/dictionary_gu.properties	(revision 30066)
+++ main/trunk/gli/classes/dictionary_gu.properties	(revision 30089)
@@ -532,11 +532,33 @@
 
 Download.ServerInformation:àªžàª°à«àªµàª°àªšà« àª®àªŸàª¹àª¿àª€à«
+Download.ServerInformation_Tooltip:àªžàª°à«àªµàª° àªµàª¿àª·à« àª
+àª®à«àª àª®àªŸàª¹àª¿àª€à« àª¡àªŸàªàªšàª²à«àª¡ àªàª°à«, àª
+àªšà« àªàªšà«àªà«àª¶àªš àª®àª³à« àª¶àªà« àªà« àªà« àªšàª¹àª¿ àª€à«àªšà« àªàªŸàª€àª°à« àªàª°à«
 
 #********************
 #
 #***** EnrichPane *****
+EnrichPane.AutoMessage:àª {0}, àªàª²àª¿àª®à«àªšà«àª àªà«àª°à«àªšàªžà«àªà«àªš àª®à«àªàªŸàª¡à«àªàªŸ àªžàª®à«àª¹àªšà« àª²àªàª€à«àª àªà«. àª àªžàª®à«àª¹ àªà« àª®à«àªàªŸàª¡à«àªàªŸ àª°àªà« àªàª°à« àªà« àª€à« àª¹àªàª®à«àª¶àªŸ àªàªªà«àªàªª àªàªà«àªžàªà«àª°à«àª àª¥àªŸàª¯ àªà«. àªàª¯àªŸ àª®à«àªàªŸàª¡à«àªàªŸ {0} àªàªà«àªžàªà«àª°à«àª àªàª°à« àª¶àªàªŸàª¯ àªà« àª€à« àªàªàªŸàªžàªµàªŸÂ  'àªà«àª°àª¿àªàª' àªà«àª¬àªšàªŸ àªàªªàª¯à«àª àªŠà«àªµàªŸàª°àªŸ àªžàªàªà«àª°àª¹ àªà«àª°àª¿àªàª àªàª°à«.
+EnrichPane.ExistingValues:{0} àª®àªŸàªà« àª¹àªŸàª²àªšà« àªµà«àª²à«àª¯à«
+EnrichPane.InheritedMetadataSelected:àª®à«àªàªŸàª¡à«àªàªŸàªšà« àª
+àª®à«àª àª¹àª¿àªžà«àªžà« àªàªªàª°àªšàªŸ àª«à«àª²à«àª¡àª°àª®àªŸàªàª¥à« àªàªšà«àª¹à«àª°à«àª àª¥àª¯à«àª² àªà«, àª
+àªšà« àª€à«àªšà« àªžà«àª§àªŸàª°à« àª¶àªàªŸàª¯ àª€à«àª® àªšàª¥à«. àªªàªàªà«àª€àª¿àªšà« àª¶àª°à«àªàª€àª®àªŸàª àª«à«àª²à«àª¡àª° àªàªàªàªš àªªàª° àªà«àª²àª¿àª àªàª°à«àªšà« àª®à«àªàªŸàª¡à«àªàªŸ àª§àª°àªŸàªµàª€à«àª àªµàªŸàªžà«àª€àªµàª¿àª àª«à«àª²à«àª¡àª° àªªàª° àª€àª®à« àªàª àª¶àªàª¶à«.
+EnrichPane.InheritedMetadata_Tooltip:àª®à«àªàªŸàª¡à«àªàªŸàªšàªŸ àª àªàªšà«àª¹à«àª°à«àª€à«àª¡ àª­àªŸàª àªà«àª¯àªŸàª àªà«àª¡àªŸàª¯à«àª² àªà« àª€à« àª«à«àª²à«àª¡àª° àª€àªªàªŸàªžàªµàªŸ àª àªàªàªàªš àªªàª° àªà«àª²àª¿àª àªàª°à«
+EnrichPane.ManageMetadataSets:àª®à«àªàªŸàª¡à«àªàªŸ àªžàª®à«àª¹à« àªšàªà«àªà« àªàª°à«...
+EnrichPane.ManageMetadataSets_Tooltip:àª àªžàªàªà«àª°àª¹ àªŠà«àªµàªŸàª°àªŸ àªàªªàª¯à«àª àªàª°àªŸàª¯à«àª² àª®à«àªàªŸàª¡à«àªàªŸ àªžàª®à«àª¹à«àªšà« àª¬àªŠàª²à«
+EnrichPane.No_File:àªàª àªªàª£ àª«àªŸàªàª² àªªàªžàªàªŠ àªàª°à«àª² àªšàª¥à«
+EnrichPane.No_Metadata:àªàªàªªàª£ àª®à«àªàªŸàª¡à«àªàªŸ àªàªªàª²àª¬à«àª§ àªšàª¥à«
+EnrichPane.No_Metadata_Element:<HTML><STRONG><FONT FACE={FONT} COLOR=Black>àªàªàªªàª£ àª®à«àªàªŸàª¡à«àªàªŸ àªàª²àª¿àª®à«àªšà«àª àªªàªžàªàªŠ àªàª°à«àª¯à« àªšàª¥à«</FONT></STRONG></HTML>
+EnrichPane.NotOneFileOnlyMetadataSelected:àª®à«àªàªŸàª¡à«àªàªŸàªšà« àª àª­àªŸàª àª®àªŸàª€à«àª° àª àª«àªŸàªàª² àª®àªŸàªà« àª²àªŸàªà« àªªàª¡àª€à« àªšàª¥à«, àª
+àªšà« àª€à«àªšà« àªžà«àª§àªŸàª°à« àªªàª£ àª¶àªàªŸàª¯ àª€à«àª® àªšàª¥à«.
+EnrichPane.Value_Field_Tooltip:àªªàªžàªàªŠ àªàª°à«àª² àª®à«àªàªŸàª¡à«àªàªŸ àªàª²àª¿àª®à«àªšà«àªàªšà« àªµà«àª²à«àª¯à« àª®à«àªàª°àª° àªàª°à«
+EnrichPane.Value_Field_Tooltip_Uneditable:àªªàªžàªàªŠ àªàª°à«àª² àª®à«àªàªŸàª¡à«àªàªŸ àªàª²àª¿àª®à«àªšà«àªàªšà« àªµà«àª²à«àª¯à« àª®à«àªàª°àª° àªàª°à«
 #***********************
 #
 #****** ExplodeMetadataPrompt *******
+ExplodeMetadataPrompt.Explode:àªàªà«àªžàªªà«àª²à«àª¡ àªàª°à«
+ExplodeMetadataPrompt.Explode_Tooltip:àª®à«àªàªŸàª¡à«àªàªŸ àª«àªŸàªàª² àªàªà«àªžàªªà«àª²à«àª¡ àªàª°à«
+ExplodeMetadataPrompt.Failed_Title:àªàªà«àªžàªªà«àª²à«àª¡ àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªšàª¿àª·à«àª«àª³ àªàª.
+ExplodeMetadataPrompt.Failed_Explode:{0} àª¡à«àªàªŸàª¬à«àª àªàªà«àªžàªªà«àª²à«àª¡ àªàª°à« àªš àª¶àªàª¯àªŸ.
 #***********************
 #